
Robotics Service Bus - Tasks #261
Tasks # 240 (Resolved): Refactor C++ Implementation to 2011-04-13 Domain Model
Dynamic connector creation
04/27/2011 06:56 PM - J. Wienke

Status: Resolved Start date: 04/27/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version:
Description

    -  Use rsc::patterns::Factory for transport::Factory
    -  split transport::Factory into InFactory and OutFactory
    -  Register default connectors statically
        -  maybe in rsb::Factory

Related issues:
Blocked by Robotics Service Bus - Tasks # 255: Separate In and OutConnectors Resolved 04/23/2011

Associated revisions
Revision d21df8dc - 04/28/2011 02:58 PM - J. Moringen
Static constructor in src/rsb/transport/spread/SpreadConnector.{h,cpp}
refs #261
    -  src/rsb/transport/spread/SpreadConnection.{h,cpp}: added free

  functions defaultHost, defaultPort; these use the Configuration
  object; changed type of port member to unsigned int; removed no-args
  constructor in favor of default values for remaining constructor

    -  src/rsb/transport/spread/SpreadConnector.{h,cpp}: added static
  constructor function SpreadConnector::create for property-based
  construction; removed dependency on Configuration since it is only
  used in SpreadConnection

Revision f9dea0c3 - 04/28/2011 03:07 PM - J. Moringen
Added RSC-based In/Out factories in src/rsb/transport/Factory.{h,cpp}
refs #261
    -  src/rsb/transport/Factory.{h,cpp}: added InFactory and OutFactory

  based on rsc::patterns::Factory; move inclusion of transport
  implementation headers Factory.h -> Factory.cpp

Revision e37f0266 - 04/28/2011 03:20 PM - J. Moringen
Registration of transport implementation; switch to new factory infrastructure
refs #261
    -  src/CMakeLists.txt: added files src/rsb/transport/transports.{h,cpp}
    -  src/rsb/Factory.cpp: call registerDefaultTransports
    -  src/rsb/transport/Factory.{h,cpp}: interface is unchanged but actual

  work is now done by the new factory infrastructure
    -  src/rsb/transport/transports.{h,cpp}: new file; contain

  registerDefaultTransports which registers the spread and inprocess
  connectors

04/25/2024 1/2



Revision 70bbe6ed - 04/29/2011 06:14 PM - J. Moringen
Consistently use strings to designate connector implementations
fixes #261
    -  src/rsb/Informer.h: connector implementations are now designated by

  strings
    -  src/rsb/Listener.{h,cpp}: connector implementations are now

  designated by strings
    -  src/rsb/eventprocessing/Router.{h,cpp}: connector implementations

  are now designated by strings
    -  src/rsb/transport/Factory.h: removed remaining traces of former

  transport Factory class
    -  test/rsb/RSBTest.cpp: connector implementations are now designated

  by strings

History
#1 - 04/28/2011 03:53 AM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from S. Wrede to J. Moringen
- % Done changed from 0 to 20

#2 - 04/28/2011 03:31 PM - J. Moringen
- % Done changed from 20 to 80

#3 - 04/29/2011 06:16 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100

Applied in changeset r682.
